### Method

# Gtk Notebook get_pages

#### Declaration [src]

    GListModel*
    gtk_notebook_get_pages (
      GtkNotebook* notebook
    )

#### Description [src]

Returns a `GListModel` that contains the pages of the notebook.

This can be used to keep an up-to-date view. The model also implements `GtkSelectionModel` and can be used to track and modify the visible page.

Gets property | `Gtk.Notebook:pages`

#### Return value

Returns: | `GListModel*`
| A `GListModel` for the notebook’s children.
| The caller of the function takes ownership of the data, and is responsible for freeing it.